package model

import (
	"time"
)

type ReqSysUserFile struct {
	ID           int        `gorm:"primarykey"` // 主键ID
	Depts        []int      `json:"depts" gorm:"comment:下发的部门"`
	EfectiveDate *time.Time `json:"effectiveDate" gorm:"comment:截止时间"`
}

type ReqSysUsers struct {
	SysUsersId []int `json:"users"`   //转发的用户id
	FilesId    []int `json:"filesId"` //转发的用户id
}

type SearchSysUserFiles struct {
	OriginalName string `json:"originalName"` //文件原始名
	SuffixName   string `json:"suffixName"`   //文件后缀名
	Sort         int    `json:"sort"`         //排序方式
	PageNO       int    `json:"pageNO"`       //当前页
	PageSize     int    `json:"pageSize"`     //每页大小
}

type RespFileInfo struct {
	AuthId        string    `json:"authId"`                             //权限id
	OriginalName  string    `json:"originalName"`                       //权限id
	EffectiveDate time.Time `json:"effectiveDate" gorm:"effectiveDate"` //阅读的有效日期
}
